! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.

subroutine GTVarGetAttrSC(var, name, value, default)
    use dc_string, only: VSTRING
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: get_attr
    type(GT_VARIABLE), intent(in):: var
    character(len = *), intent(in):: name
    type(VSTRING), intent(out):: value
    character(len = *), intent(in), optional:: default
    if (associated(var%an)) then
        call get_attr(var%an, name, value, default)
    endif
end subroutine
